# Class VulkanDebugUtilsObjectNameInfoEXT.Builder

java.lang.Object
com.io7m.jcoronado.extensions.ext_debug_utils.api.VulkanDebugUtilsObjectNameInfoEXT.Builder

Enclosing class:
  `VulkanDebugUtilsObjectNameInfoEXT`

public static final class VulkanDebugUtilsObjectNameInfoEXT.Builder extends Object
Builds instances of type `VulkanDebugUtilsObjectNameInfoEXT`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VulkanDebugUtilsObjectNameInfoEXT`
  `build()`
  Builds a new `VulkanDebugUtilsObjectNameInfoEXT`.
  `final VulkanDebugUtilsObjectNameInfoEXT.Builder`
  `from(VulkanDebugUtilsObjectNameInfoEXTType instance)`
  Fill a builder with attribute values from the provided `VulkanDebugUtilsObjectNameInfoEXTType` instance.
  `final VulkanDebugUtilsObjectNameInfoEXT.Builder`
  `setObjectHandle(VulkanHandleType objectHandle)`
  Initializes the value for the `objectHandle` attribute.
  `final VulkanDebugUtilsObjectNameInfoEXT.Builder`
  `setObjectName(String objectName)`
  Initializes the value for the `objectName` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final VulkanDebugUtilsObjectNameInfoEXT.Builder from(VulkanDebugUtilsObjectNameInfoEXTType instance)
    Fill a builder with attribute values from the provided `VulkanDebugUtilsObjectNameInfoEXTType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setObjectHandle

    public final VulkanDebugUtilsObjectNameInfoEXT.Builder setObjectHandle(VulkanHandleType objectHandle)
    Initializes the value for the `objectHandle` attribute.
    Parameters:
      `objectHandle` - The value for objectHandle
    Returns:
      `this` builder for use in a chained invocation

  - ### setObjectName

    public final VulkanDebugUtilsObjectNameInfoEXT.Builder setObjectName(String objectName)
    Initializes the value for the `objectName` attribute.
    Parameters:
      `objectName` - The value for objectName
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public VulkanDebugUtilsObjectNameInfoEXT build()
    Builds a new `VulkanDebugUtilsObjectNameInfoEXT`.
    Returns:
      An immutable instance of VulkanDebugUtilsObjectNameInfoEXT
    Throws:
      `IllegalStateException` - if any required attributes are missing